Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Drawable::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::Drawable::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setVertexProgramSupported (bool flag)
bool | isVertexProgramSupported () const
void | setSecondaryColorSupported (bool flag)
bool | isSecondaryColorSupported () const
void | setFogCoordSupported (bool flag)
bool | isFogCoordSupported () const
void | setMultiTexSupported (bool flag)
bool | isMultiTexSupported () const
void | setOcclusionQuerySupported (bool flag)
bool | isOcclusionQuerySupported () const
void | setARBOcclusionQuerySupported (bool flag)
bool | isARBOcclusionQuerySupported () const
void | glSecondaryColor3ubv (const GLubyte *coord) const
void | glSecondaryColor3fv (const GLfloat *coord) const
void | glFogCoordfv (const GLfloat *coord) const
void | glMultiTexCoord1f (GLenum target, GLfloat coord) const
void | glMultiTexCoord2fv (GLenum target, const GLfloat *coord) const
void | glMultiTexCoord3fv (GLenum target, const GLfloat *coord) const
void | glMultiTexCoord4fv (GLenum target, const GLfloat *coord) const
void | glVertexAttrib1s (unsigned int index, GLshort s) const
void | glVertexAttrib1f (unsigned int index, GLfloat f) const
void | glVertexAttrib2fv (unsigned int index, const GLfloat *v) const
void | glVertexAttrib3fv (unsigned int index, const GLfloat *v) const
void | glVertexAttrib4fv (unsigned int index, const GLfloat *v) const
void | glVertexAttrib4ubv (unsigned int index, const GLubyte *v) const
void | glVertexAttrib4Nubv (unsigned int index, const GLubyte *v) const
void | glGenBuffers (GLsizei n, GLuint *buffers) const
void | glBindBuffer (GLenum target, GLuint buffer) const
void | glBufferData (GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage) const
void | glBufferSubData (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data) const
void | glDeleteBuffers (GLsizei n, const GLuint *buffers) const
GLboolean | glIsBuffer (GLuint buffer) const
void | glGetBufferSubData (GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data) const
GLvoid * | glMapBuffer (GLenum target, GLenum access) const
GLboolean | glUnmapBuffer (GLenum target) const
void | glGetBufferParameteriv (GLenum target, GLenum pname, GLint *params) const
void | glGetBufferPointerv (GLenum target, GLenum pname, GLvoid **params) const
void | glGenOcclusionQueries (GLsizei n, GLuint *ids) const
void | glDeleteOcclusionQueries (GLsizei n, const GLuint *ids) const
GLboolean | glIsOcclusionQuery (GLuint id) const
void | glBeginOcclusionQuery (GLuint id) const
void | glEndOcclusionQuery () const
void | glGetOcclusionQueryiv (GLuint id, GLenum pname, GLint *params) const
void | glGetOcclusionQueryuiv (GLuint id, GLenum pname, GLuint *params) const
void | glGetQueryiv (GLenum target, GLenum pname, GLint *params) const
void | glGenQueries (GLsizei n, GLuint *ids) const
void | glBeginQuery (GLenum target, GLuint id) const
void | glEndQuery (GLenum target) const
GLboolean | glIsQuery (GLuint id) const
void | glDeleteQueries (GLsizei n, const GLuint *ids) const
void | glGetQueryObjectiv (GLuint id, GLenum pname, GLint *params) const
void | glGetQueryObjectuiv (GLuint id, GLenum pname, GLuint *params) const
## Protected Types
typedef GLshort | s
typedef GLfloat | f
typedef const GLfloat * | v
typedef const GLubyte * | v
typedef GLfloat | coord
typedef const GLfloat * | coord
typedef GLuint * | buffers
typedef GLuint | buffer
typedef GLsizeiptrARB | size
typedef GLsizeiptrARB const GLvoid * | data
typedef GLsizeiptrARB const GLvoid GLenum | usage
typedef GLintptrARB | offset
typedef GLintptrARB GLsizeiptrARB | size
typedef GLintptrARB GLsizeiptrARB const GLvoid * | data
typedef const GLuint * | buffers
typedef GLintptrARB | offset
typedef GLintptrARB GLsizeiptrARB | size
typedef GLintptrARB GLsizeiptrARB GLvoid * | data
typedef GLvoid *APIENTRY * | MapBufferProc (GLenum target, GLenum access)
typedef GLenum | pname
typedef GLenum GLint * | params
typedef GLenum | pname
typedef GLenum GLvoid ** | params
typedef GLuint * | ids
typedef const GLuint * | ids
typedef GLenum | pname
typedef GLenum GLint * | params
typedef GLenum | pname
typedef GLenum GLuint * | params
typedef GLuint * | ids
typedef const GLuint * | ids
typedef GLuint | id
typedef GLenum | pname
typedef GLenum GLint * | params
typedef GLenum | pname
typedef GLenum GLint * | params
typedef GLenum | pname
typedef GLenum GLuint * | params
## Protected Member Functions
typedef | void (APIENTRY *FogCoordProc)(const GLfloat *coord)
typedef | void (APIENTRY *VertexAttrib1sProc)(unsigned int index
typedef | void (APIENTRY *VertexAttrib1fProc)(unsigned int index
typedef | void (APIENTRY *VertexAttribfvProc)(unsigned int index
typedef | void (APIENTRY *VertexAttribubvProc)(unsigned int index
typedef | void (APIENTRY *SecondaryColor3ubvProc)(const GLubyte *coord)
typedef | void (APIENTRY *SecondaryColor3fvProc)(const GLfloat *coord)
typedef | void (APIENTRY *MultiTexCoord1fProc)(GLenum target
typedef | void (APIENTRY *MultiTexCoordfvProc)(GLenum target
typedef | void (APIENTRY *GenBuffersProc)(GLsizei n
typedef | void (APIENTRY *BindBufferProc)(GLenum target
typedef | void (APIENTRY *BufferDataProc)(GLenum target
typedef | void (APIENTRY *BufferSubDataProc)(GLenum target
typedef | void (APIENTRY *DeleteBuffersProc)(GLsizei n
typedef | GLboolean (APIENTRY *IsBufferProc)(GLuint buffer)
typedef | void (APIENTRY *GetBufferSubDataProc)(GLenum target
typedef | GLboolean (APIENTRY *UnmapBufferProc)(GLenum target)
typedef | void (APIENTRY *GetBufferParameterivProc)(GLenum target
typedef | void (APIENTRY *GetBufferPointervProc)(GLenum target
typedef | void (APIENTRY *GenOcclusionQueriesProc)(GLsizei n
typedef | void (APIENTRY *DeleteOcclusionQueriesProc)(GLsizei n
typedef | GLboolean (APIENTRY *IsOcclusionQueryProc)(GLuint id)
typedef | void (APIENTRY *BeginOcclusionQueryProc)(GLuint id)
typedef | void (APIENTRY *EndOcclusionQueryProc)()
typedef | void (APIENTRY *GetOcclusionQueryivProc)(GLuint id
typedef | void (APIENTRY *GetOcclusionQueryuivProc)(GLuint id
typedef | void (APIENTRY *GenQueriesProc)(GLsizei n
typedef | void (APIENTRY *DeleteQueriesProc)(GLsizei n
typedef | GLboolean (APIENTRY *IsQueryProc)(GLuint id)
typedef | void (APIENTRY *BeginQueryProc)(GLenum target
typedef | void (APIENTRY *EndQueryProc)(GLenum target)
typedef | void (APIENTRY *GetQueryivProc)(GLenum target
typedef | void (APIENTRY *GetQueryObjectivProc)(GLuint id
typedef | void (APIENTRY *GetQueryObjectuivProc)(GLuint id
| ~Extensions ()
## Protected Attributes
bool | _isVertexProgramSupported
bool | _isSecondaryColorSupported
bool | _isFogCoordSupported
bool | _isMultiTexSupported
bool | _isOcclusionQuerySupported
bool | _isARBOcclusionQuerySupported
FogCoordProc | _glFogCoordfv
SecondaryColor3ubvProc | _glSecondaryColor3ubv
SecondaryColor3fvProc | _glSecondaryColor3fv
VertexAttrib1sProc | _glVertexAttrib1s
VertexAttrib1fProc | _glVertexAttrib1f
VertexAttribfvProc | _glVertexAttrib2fv
VertexAttribfvProc | _glVertexAttrib3fv
VertexAttribfvProc | _glVertexAttrib4fv
VertexAttribubvProc | _glVertexAttrib4ubv
VertexAttribubvProc | _glVertexAttrib4Nubv
MultiTexCoord1fProc | _glMultiTexCoord1f
MultiTexCoordfvProc | _glMultiTexCoord2fv
MultiTexCoordfvProc | _glMultiTexCoord3fv
MultiTexCoordfvProc | _glMultiTexCoord4fv
GenBuffersProc | _glGenBuffers
BindBufferProc | _glBindBuffer
BufferDataProc | _glBufferData
BufferSubDataProc | _glBufferSubData
DeleteBuffersProc | _glDeleteBuffers
IsBufferProc | _glIsBuffer
GetBufferSubDataProc | _glGetBufferSubData
MapBufferProc | _glMapBuffer
UnmapBufferProc | _glUnmapBuffer
GetBufferParameterivProc | _glGetBufferParameteriv
GetBufferPointervProc | _glGetBufferPointerv
GenOcclusionQueriesProc | _glGenOcclusionQueries
DeleteOcclusionQueriesProc | _glDeleteOcclusionQueries
IsOcclusionQueryProc | _glIsOcclusionQuery
BeginOcclusionQueryProc | _glBeginOcclusionQuery
EndOcclusionQueryProc | _glEndOcclusionQuery
GetOcclusionQueryivProc | _glGetOcclusionQueryiv
GetOcclusionQueryuivProc | _glGetOcclusionQueryuiv
GenQueriesProc | _gl_gen_queries_arb
DeleteQueriesProc | _gl_delete_queries_arb
IsQueryProc | _gl_is_query_arb
BeginQueryProc | _gl_begin_query_arb
EndQueryProc | _gl_end_query_arb
GetQueryivProc | _gl_get_queryiv_arb
GetQueryObjectivProc | _gl_get_query_objectiv_arb
GetQueryObjectuivProc | _gl_get_query_objectuiv_arb

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions.

## Member Typedef Documentation

typedef GLuint osg::Drawable::Extensions::buffer`[protected]`

typedef const GLuint* osg::Drawable::Extensions::buffers`[protected]`

typedef GLuint* osg::Drawable::Extensions::buffers`[protected]`

typedef const GLfloat* osg::Drawable::Extensions::coord`[protected]`

typedef GLfloat osg::Drawable::Extensions::coord`[protected]`

typedef GLintptrARB GLsizeiptrARB GLvoid* osg::Drawable::Extensions::data`[protected]`

typedef GLintptrARB GLsizeiptrARB const GLvoid* osg::Drawable::Extensions::data`[protected]`

typedef GLsizeiptrARB const GLvoid* osg::Drawable::Extensions::data`[protected]`

typedef GLfloat osg::Drawable::Extensions::f`[protected]`

typedef GLuint osg::Drawable::Extensions::id`[protected]`

typedef const GLuint* osg::Drawable::Extensions::ids`[protected]`

typedef GLuint* osg::Drawable::Extensions::ids`[protected]`

typedef const GLuint* osg::Drawable::Extensions::ids`[protected]`

typedef GLuint* osg::Drawable::Extensions::ids`[protected]`

typedef GLvoid* APIENTRY* osg::Drawable::Extensions::MapBufferProc(GLenum target, GLenum access)`[protected]`

typedef GLintptrARB osg::Drawable::Extensions::offset`[protected]`

typedef GLintptrARB osg::Drawable::Extensions::offset`[protected]`

typedef GLenum GLuint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLuint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLvoid* * osg::Drawable::Extensions::params`[protected]`

typedef GLenum GLint* osg::Drawable::Extensions::params`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLenum osg::Drawable::Extensions::pname`[protected]`

typedef GLshort osg::Drawable::Extensions::s`[protected]`

typedef GLintptrARB GLsizeiptrARB osg::Drawable::Extensions::size`[protected]`

typedef GLintptrARB GLsizeiptrARB osg::Drawable::Extensions::size`[protected]`

typedef GLsizeiptrARB osg::Drawable::Extensions::size`[protected]`

typedef GLsizeiptrARB const GLvoid GLenum osg::Drawable::Extensions::usage`[protected]`

typedef const GLubyte* osg::Drawable::Extensions::v`[protected]`

typedef const GLfloat* osg::Drawable::Extensions::v`[protected]`

## Constructor & Destructor Documentation

osg::Drawable::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::Drawable::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::Drawable::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::Drawable::Extensions::glBeginOcclusionQuery | ( | GLuint | id | ) | const

void osg::Drawable::Extensions::glBeginQuery | ( | GLenum | target,
|  | GLuint | id
| ) | const

void osg::Drawable::Extensions::glBindBuffer | ( | GLenum | target,
|  | GLuint | buffer
| ) | const

typedef osg::Drawable::Extensions::GLboolean | ( | APIENTRY * | IsQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::GLboolean | ( | APIENTRY * | IsOcclusionQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::GLboolean | ( | APIENTRY * | UnmapBufferProc | ) | `[protected]`

typedef osg::Drawable::Extensions::GLboolean | ( | APIENTRY * | IsBufferProc | ) | `[protected]`

void osg::Drawable::Extensions::glBufferData | ( | GLenum | target,
|  | GLsizeiptrARB | size,
|  | const GLvoid * | data,
|  | GLenum | usage
| ) | const

void osg::Drawable::Extensions::glBufferSubData | ( | GLenum | target,
|  | GLintptrARB | offset,
|  | GLsizeiptrARB | size,
|  | const GLvoid * | data
| ) | const

void osg::Drawable::Extensions::glDeleteBuffers | ( | GLsizei | n,
|  | const GLuint * | buffers
| ) | const

void osg::Drawable::Extensions::glDeleteOcclusionQueries | ( | GLsizei | n,
|  | const GLuint * | ids
| ) | const

void osg::Drawable::Extensions::glDeleteQueries | ( | GLsizei | n,
|  | const GLuint * | ids
| ) | const

void osg::Drawable::Extensions::glEndOcclusionQuery | ( |  | ) | const

void osg::Drawable::Extensions::glEndQuery | ( | GLenum | target | ) | const

void osg::Drawable::Extensions::glFogCoordfv | ( | const GLfloat * | coord | ) | const

void osg::Drawable::Extensions::glGenBuffers | ( | GLsizei | n,
|  | GLuint * | buffers
| ) | const

void osg::Drawable::Extensions::glGenOcclusionQueries | ( | GLsizei | n,
|  | GLuint * | ids
| ) | const

void osg::Drawable::Extensions::glGenQueries | ( | GLsizei | n,
|  | GLuint * | ids
| ) | const

void osg::Drawable::Extensions::glGetBufferParameteriv | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::Drawable::Extensions::glGetBufferPointerv | ( | GLenum | target,
|  | GLenum | pname,
|  | GLvoid ** | params
| ) | const

void osg::Drawable::Extensions::glGetBufferSubData | ( | GLenum | target,
|  | GLintptrARB | offset,
|  | GLsizeiptrARB | size,
|  | GLvoid * | data
| ) | const

void osg::Drawable::Extensions::glGetOcclusionQueryiv | ( | GLuint | id,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::Drawable::Extensions::glGetOcclusionQueryuiv | ( | GLuint | id,
|  | GLenum | pname,
|  | GLuint * | params
| ) | const

void osg::Drawable::Extensions::glGetQueryiv | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::Drawable::Extensions::glGetQueryObjectiv | ( | GLuint | id,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::Drawable::Extensions::glGetQueryObjectuiv | ( | GLuint | id,
|  | GLenum | pname,
|  | GLuint * | params
| ) | const

GLboolean osg::Drawable::Extensions::glIsBuffer | ( | GLuint | buffer | ) | const

GLboolean osg::Drawable::Extensions::glIsOcclusionQuery | ( | GLuint | id | ) | const

GLboolean osg::Drawable::Extensions::glIsQuery | ( | GLuint | id | ) | const

GLvoid* osg::Drawable::Extensions::glMapBuffer | ( | GLenum | target,
|  | GLenum | access
| ) | const

void osg::Drawable::Extensions::glMultiTexCoord1f | ( | GLenum | target,
|  | GLfloat | coord
| ) | const

void osg::Drawable::Extensions::glMultiTexCoord2fv | ( | GLenum | target,
|  | const GLfloat * | coord
| ) | const

void osg::Drawable::Extensions::glMultiTexCoord3fv | ( | GLenum | target,
|  | const GLfloat * | coord
| ) | const

void osg::Drawable::Extensions::glMultiTexCoord4fv | ( | GLenum | target,
|  | const GLfloat * | coord
| ) | const

void osg::Drawable::Extensions::glSecondaryColor3fv | ( | const GLfloat * | coord | ) | const

void osg::Drawable::Extensions::glSecondaryColor3ubv | ( | const GLubyte * | coord | ) | const

GLboolean osg::Drawable::Extensions::glUnmapBuffer | ( | GLenum | target | ) | const

void osg::Drawable::Extensions::glVertexAttrib1f | ( | unsigned int | index,
|  | GLfloat | f
| ) | const

void osg::Drawable::Extensions::glVertexAttrib1s | ( | unsigned int | index,
|  | GLshort | s
| ) | const

void osg::Drawable::Extensions::glVertexAttrib2fv | ( | unsigned int | index,
|  | const GLfloat * | v
| ) | const

void osg::Drawable::Extensions::glVertexAttrib3fv | ( | unsigned int | index,
|  | const GLfloat * | v
| ) | const

void osg::Drawable::Extensions::glVertexAttrib4fv | ( | unsigned int | index,
|  | const GLfloat * | v
| ) | const

void osg::Drawable::Extensions::glVertexAttrib4Nubv | ( | unsigned int | index,
|  | const GLubyte * | v
| ) | const

void osg::Drawable::Extensions::glVertexAttrib4ubv | ( | unsigned int | index,
|  | const GLubyte * | v
| ) | const

bool osg::Drawable::Extensions::isARBOcclusionQuerySupported | ( |  | ) | const`[inline]`

bool osg::Drawable::Extensions::isFogCoordSupported | ( |  | ) | const`[inline]`

bool osg::Drawable::Extensions::isMultiTexSupported | ( |  | ) | const`[inline]`

bool osg::Drawable::Extensions::isOcclusionQuerySupported | ( |  | ) | const`[inline]`

bool osg::Drawable::Extensions::isSecondaryColorSupported | ( |  | ) | const`[inline]`

bool osg::Drawable::Extensions::isVertexProgramSupported | ( |  | ) | const`[inline]`

void osg::Drawable::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::Drawable::Extensions::setARBOcclusionQuerySupported | ( | bool | flag | ) | `[inline]`

void osg::Drawable::Extensions::setFogCoordSupported | ( | bool | flag | ) | `[inline]`

void osg::Drawable::Extensions::setMultiTexSupported | ( | bool | flag | ) | `[inline]`

void osg::Drawable::Extensions::setOcclusionQuerySupported | ( | bool | flag | ) | `[inline]`

void osg::Drawable::Extensions::setSecondaryColorSupported | ( | bool | flag | ) | `[inline]`

void osg::Drawable::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

void osg::Drawable::Extensions::setVertexProgramSupported | ( | bool | flag | ) | `[inline]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetQueryObjectuivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetQueryObjectivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetQueryivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | EndQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | BeginQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | DeleteQueriesProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GenQueriesProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetOcclusionQueryuivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetOcclusionQueryivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | EndOcclusionQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | BeginOcclusionQueryProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | DeleteOcclusionQueriesProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GenOcclusionQueriesProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetBufferPointervProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetBufferParameterivProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GetBufferSubDataProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | DeleteBuffersProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | BufferSubDataProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | BufferDataProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | BindBufferProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | GenBuffersProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | MultiTexCoordfvProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | MultiTexCoord1fProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | SecondaryColor3fvProc | ) | const`[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | SecondaryColor3ubvProc | ) | const`[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | VertexAttribubvProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | VertexAttribfvProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | VertexAttrib1fProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | VertexAttrib1sProc | ) | `[protected]`

typedef osg::Drawable::Extensions::void | ( | APIENTRY * | FogCoordProc | ) | const`[protected]`

## Member Data Documentation

BeginQueryProc osg::Drawable::Extensions::_gl_begin_query_arb`[protected]`

DeleteQueriesProc osg::Drawable::Extensions::_gl_delete_queries_arb`[protected]`

EndQueryProc osg::Drawable::Extensions::_gl_end_query_arb`[protected]`

GenQueriesProc osg::Drawable::Extensions::_gl_gen_queries_arb`[protected]`

GetQueryObjectivProc osg::Drawable::Extensions::_gl_get_query_objectiv_arb`[protected]`

GetQueryObjectuivProc osg::Drawable::Extensions::_gl_get_query_objectuiv_arb`[protected]`

GetQueryivProc osg::Drawable::Extensions::_gl_get_queryiv_arb`[protected]`

IsQueryProc osg::Drawable::Extensions::_gl_is_query_arb`[protected]`

BeginOcclusionQueryProc osg::Drawable::Extensions::_glBeginOcclusionQuery`[protected]`

BindBufferProc osg::Drawable::Extensions::_glBindBuffer`[protected]`

BufferDataProc osg::Drawable::Extensions::_glBufferData`[protected]`

BufferSubDataProc osg::Drawable::Extensions::_glBufferSubData`[protected]`

DeleteBuffersProc osg::Drawable::Extensions::_glDeleteBuffers`[protected]`

DeleteOcclusionQueriesProc osg::Drawable::Extensions::_glDeleteOcclusionQueries`[protected]`

EndOcclusionQueryProc osg::Drawable::Extensions::_glEndOcclusionQuery`[protected]`

FogCoordProc osg::Drawable::Extensions::_glFogCoordfv`[protected]`

GenBuffersProc osg::Drawable::Extensions::_glGenBuffers`[protected]`

GenOcclusionQueriesProc osg::Drawable::Extensions::_glGenOcclusionQueries`[protected]`

GetBufferParameterivProc osg::Drawable::Extensions::_glGetBufferParameteriv`[protected]`

GetBufferPointervProc osg::Drawable::Extensions::_glGetBufferPointerv`[protected]`

GetBufferSubDataProc osg::Drawable::Extensions::_glGetBufferSubData`[protected]`

GetOcclusionQueryivProc osg::Drawable::Extensions::_glGetOcclusionQueryiv`[protected]`

GetOcclusionQueryuivProc osg::Drawable::Extensions::_glGetOcclusionQueryuiv`[protected]`

IsBufferProc osg::Drawable::Extensions::_glIsBuffer`[protected]`

IsOcclusionQueryProc osg::Drawable::Extensions::_glIsOcclusionQuery`[protected]`

MapBufferProc osg::Drawable::Extensions::_glMapBuffer`[protected]`

MultiTexCoord1fProc osg::Drawable::Extensions::_glMultiTexCoord1f`[protected]`

MultiTexCoordfvProc osg::Drawable::Extensions::_glMultiTexCoord2fv`[protected]`

MultiTexCoordfvProc osg::Drawable::Extensions::_glMultiTexCoord3fv`[protected]`

MultiTexCoordfvProc osg::Drawable::Extensions::_glMultiTexCoord4fv`[protected]`

SecondaryColor3fvProc osg::Drawable::Extensions::_glSecondaryColor3fv`[protected]`

SecondaryColor3ubvProc osg::Drawable::Extensions::_glSecondaryColor3ubv`[protected]`

UnmapBufferProc osg::Drawable::Extensions::_glUnmapBuffer`[protected]`

VertexAttrib1fProc osg::Drawable::Extensions::_glVertexAttrib1f`[protected]`

VertexAttrib1sProc osg::Drawable::Extensions::_glVertexAttrib1s`[protected]`

VertexAttribfvProc osg::Drawable::Extensions::_glVertexAttrib2fv`[protected]`

VertexAttribfvProc osg::Drawable::Extensions::_glVertexAttrib3fv`[protected]`

VertexAttribfvProc osg::Drawable::Extensions::_glVertexAttrib4fv`[protected]`

VertexAttribubvProc osg::Drawable::Extensions::_glVertexAttrib4Nubv`[protected]`

VertexAttribubvProc osg::Drawable::Extensions::_glVertexAttrib4ubv`[protected]`

bool osg::Drawable::Extensions::_isARBOcclusionQuerySupported`[protected]`

bool osg::Drawable::Extensions::_isFogCoordSupported`[protected]`

bool osg::Drawable::Extensions::_isMultiTexSupported`[protected]`

bool osg::Drawable::Extensions::_isOcclusionQuerySupported`[protected]`

bool osg::Drawable::Extensions::_isSecondaryColorSupported`[protected]`

bool osg::Drawable::Extensions::_isVertexProgramSupported`[protected]`

The documentation for this class was generated from the following file:

- Drawable